Skip to main content
POST
/
platform-api
/
v1
/
chats
/
status
Update ticket status
curl --request POST \
  --url https://app.sagepilot.ai/platform-api/v1/chats/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ticket_id": "<string>",
  "status": "<string>"
}
'
{
  "success": true,
  "chat": {
    "id": "0e14f204-0f57-4a8d-a105-4e38982238b2",
    "workspace_id": "ab1360ce-ef91-4397-8fbd-3ed77ef80e08",
    "status": "closed",
    "sub_status": null,
    "priority": "",
    "last_message_created_at": "2026-05-29T16:49:38+00:00",
    "pilot_id": null,
    "agent_id": "912035ba-27d1-4e1c-9ee3-5414a72465cb",
    "created_at": "2026-05-29T16:49:32.959247+00:00",
    "updated_at": "2026-05-29T17:04:28.581178+00:00",
    "assignee_type": "agent",
    "code": "1143",
    "unread_status": false,
    "subject": null,
    "summary": null,
    "channel_id": "47ef5902-f2c8-4b97-97d9-fb9b1ba585f5",
    "team_id": null,
    "queue_status": null,
    "closed_at": "2026-05-29T17:04:28.560195+00:00",
    "customers": {
      "id": "12290791-dcd4-464f-a2a3-79dce74d01e4",
      "name": "anushka.pawar",
      "phone": null,
      "email": "[email protected]",
      "company": "sagepilot.ai",
      "instagram_username": null
    },
    "channels": {
      "id": "47ef5902-f2c8-4b97-97d9-fb9b1ba585f5",
      "name": "New Playground Channel",
      "kind": "playground"
    },
    "chat_tags": [],
    "chat_custom_field_values": []
  }
}
{
  "success": true,
  "chat": {
    "id": "0e14f204-0f57-4a8d-a105-4e38982238b2",
    "workspace_id": "ab1360ce-ef91-4397-8fbd-3ed77ef80e08",
    "status": "closed",
    "sub_status": null,
    "priority": "",
    "last_message_created_at": "2026-05-29T16:49:38+00:00",
    "pilot_id": null,
    "agent_id": "912035ba-27d1-4e1c-9ee3-5414a72465cb",
    "created_at": "2026-05-29T16:49:32.959247+00:00",
    "updated_at": "2026-05-29T17:04:28.581178+00:00",
    "assignee_type": "agent",
    "code": "1143",
    "unread_status": false,
    "subject": null,
    "summary": null,
    "channel_id": "47ef5902-f2c8-4b97-97d9-fb9b1ba585f5",
    "team_id": null,
    "queue_status": null,
    "closed_at": "2026-05-29T17:04:28.560195+00:00",
    "customers": {
      "id": "12290791-dcd4-464f-a2a3-79dce74d01e4",
      "name": "anushka.pawar",
      "phone": null,
      "email": "[email protected]",
      "company": "sagepilot.ai",
      "instagram_username": null
    },
    "channels": {
      "id": "47ef5902-f2c8-4b97-97d9-fb9b1ba585f5",
      "name": "New Playground Channel",
      "kind": "playground"
    },
    "chat_tags": [],
    "chat_custom_field_values": []
  }
}
Update a ticket status and optional sub-status.

Required access

AuthenticationScopeDataset grant
API client v2tickets:writetickets

Body

ticket_id
string
required
Ticket chat UUID to update. Use the records[].id value from List tickets; do not pass the human-readable ticket code.
status
string
required
New ticket status. For example, open, closed, or reopened.
sub_status
string
Optional ticket sub-status. For example, investigating, awaiting_reply, or snoozed.
substatus_expiry_time
string
Optional ISO timestamp for when the sub-status expires. For example, 2026-05-30T10:00:00.000Z.

Response

success
boolean
required
Whether the status update succeeded.
chat
object
required
Updated ticket chat object.